GWT 2.7.0

## com.google.gwt.dom.builder.shared
Class HtmlTableColBuilder

    java.lang.Object
      com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
          com.google.gwt.dom.builder.shared.HtmlElementBuilderBase<TableColBuilder>
              com.google.gwt.dom.builder.shared.HtmlTableColBuilder

All Implemented Interfaces:
  ElementBuilderBase<TableColBuilder>, TableColBuilder

    public class HtmlTableColBuilder

extends HtmlElementBuilderBase<TableColBuilder>
implements TableColBuilder

HTML-based implementation of `TableColBuilder`.

Constructor Summary
`HtmlTableColBuilder(HtmlBuilderImpl delegate, boolean group)`

Method Summary
`TableColBuilder` | `align(java.lang.String align)` Horizontal alignment of cell data in column.
`TableColBuilder` | `ch(java.lang.String ch)` Alignment character for cells in a column.
`TableColBuilder` | `chOff(java.lang.String chOff)` Offset of alignment character.
`TableColBuilder` | `span(int span)` Indicates the number of columns in a group or affected by a grouping.
`TableColBuilder` | `vAlign(java.lang.String vAlign)` Vertical alignment of cell data in column.
`TableColBuilder` | `width(java.lang.String width)` Default column width.

Methods inherited from class com.google.gwt.dom.builder.shared.HtmlElementBuilderBase

`asSafeHtml, attribute, attribute, className, dir, draggable, endTitle, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTitle, startTR, startUList, startVideo, tabIndex, title, trustedAttribute, trustedAttribute, trustedStart`

Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

Constructor Detail

### HtmlTableColBuilder

    HtmlTableColBuilder(HtmlBuilderImpl delegate,
                        boolean group)

Method Detail

### align

    public TableColBuilder align(java.lang.String align)

  Description copied from interface: `TableColBuilder`
  Horizontal alignment of cell data in column.

  Specified by:
    `align` in interface `TableColBuilder`
  See Also:
    W3C HTML Specification

### ch

    public TableColBuilder ch(java.lang.String ch)

  Description copied from interface: `TableColBuilder`
  Alignment character for cells in a column.

  Specified by:
    `ch` in interface `TableColBuilder`
  See Also:
    W3C HTML Specification

### chOff

    public TableColBuilder chOff(java.lang.String chOff)

  Description copied from interface: `TableColBuilder`
  Offset of alignment character.

  Specified by:
    `chOff` in interface `TableColBuilder`
  See Also:
    W3C HTML Specification

### span

    public TableColBuilder span(int span)

  Description copied from interface: `TableColBuilder`
  Indicates the number of columns in a group or affected by a grouping.

  Specified by:
    `span` in interface `TableColBuilder`
  See Also:
    W3C HTML Specification

### vAlign

    public TableColBuilder vAlign(java.lang.String vAlign)

  Description copied from interface: `TableColBuilder`
  Vertical alignment of cell data in column.

  Specified by:
    `vAlign` in interface `TableColBuilder`
  See Also:
    W3C HTML Specification

### width

    public TableColBuilder width(java.lang.String width)

  Description copied from interface: `TableColBuilder`
  Default column width.

  Specified by:
    `width` in interface `TableColBuilder`
  See Also:
    W3C HTML Specification

GWT 2.7.0